aboutsummaryrefslogtreecommitdiff
path: root/debian/config
diff options
context:
space:
mode:
Diffstat (limited to 'debian/config')
-rw-r--r--debian/config17
1 files changed, 17 insertions, 0 deletions
diff --git a/debian/config b/debian/config
new file mode 100644
index 0000000..db1136d
--- /dev/null
+++ b/debian/config
@@ -0,0 +1,17 @@
+#!/bin/sh -e
+#$Id: config,v 1.1 2004/11/29 10:39:38 ladis Exp $
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+# Already seen?
+db_fget arcboot/boot_device seen
+if [ "$RET" = "false" ]; then
+ # what about devfs?
+ ROOTDEVICE=`mount | grep '[[:space:]]/[[:space:]]' | cut -d' ' -f 1`
+ BOOTDEVICE=`echo $ROOTDEVICE | sed 's/[12345678]*$//'`
+ db_set arcboot/boot_device $BOOTDEVICE
+fi
+
+db_input medium arcboot/boot_device || true
+db_go